public class WriteDataWithAutoClose {
  public static void main(String[] args) throws Exception {
    java.io.File file = new java.io.File("scores.txt");
    if (file.exists()) {
      System.out.println("Plik już istnieje");
      System.exit(0);
    }

    try (
      // Tworzenie pliku
      java.io.PrintWriter output = new java.io.PrintWriter(file);
    ) {
      // Zapis sformatowanych danych wyjściowych w pliku
      output.print("Jan T Sowa ");
      output.println(90);
      output.print("Eryk K Janik ");
      output.println(85);
    }
  }
}
